## ros-kinetic-roch-ftdi 2.0.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_ftdi)
find_package(catkin REQUIRED COMPONENTS ecl_command_line)

# pkg-config packages
find_package(PkgConfig)
pkg_search_module(REQUIRED libusb)
pkg_search_module(REQUIRED libftdi)

catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS ecl_command_line
   DEPENDS libusb libftdi
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_subdirectory(src)

install(DIRECTORY bluetooth
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/roch_config
                 scripts/create_udev_rules
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(PROGRAMS scripts/roch_config
                 scripts/create_laptop_rules
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES 57-roch.rules
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# This has issues....indigo doing th same thing will result in 
# a file conflict. We could call it 57-indigo-roch.rules and
# 57-indigo-roch.rules. But that seems kind of lame and could
# break things if they are actually different (which should
# be called - udev will have no idea).

#install(FILES 57-roch.rules
#        DESTINATION /etc/udev/rules.d/
#)

=== Makefile ===
# FTDI tools: prepare your USB port to talk with roch

DUDE=$(USER)

help:
	@echo ""
	@echo "Valid targets are: "
	@echo "  udev  : copy udev rules for /dev/roch"
	@echo "  utils : create ftdi utilities."
	@echo ""
	@echo "There is no make target for actually flashing the device."
	@echo "Because this is dangerous, be sure to read doxygen/mainpage.dox"
	@echo "for detailed info on how to do this by hand (./bin/ftdi_roch)."
	@echo ""

utils: all

udev:
	@echo ""
	@echo "Copying 57-roch.rules -> to /etc/udev/rules.d"
	@echo ""
	@sudo addgroup $(DUDE) dialout
	@sudo cp 57-roch.rules /etc/udev/rules.d
	@sudo service udev reload
	@sudo service udev restart
	@echo ""
	@echo "Logout and log back in to make sure the dialout group permissions take affect."
	@echo ""

# Doxygen documentation: make sure you sudo apt-get install ros-indigo-rosdoc-lite first.
doxygen:
	@rm -rf doc
	rosdoc_lite -o doc ./

.PHONY: doxygen

=== src/CMakeLists.txt ===
##############################################################################
# Binaries
##############################################################################

add_executable(ftdi_scan ftdi_scan.cpp)
target_link_libraries(ftdi_scan ftdi)

add_executable(ftdi_roch ftdi_roch.cpp)
target_link_libraries(ftdi_roch ftdi)

add_executable(ftdi_read_eeprom ftdi_read_eeprom.cpp)
target_link_libraries(ftdi_read_eeprom ftdi)

add_executable(ftdi_write_eeprom ftdi_write_eeprom.cpp)
target_link_libraries(ftdi_write_eeprom ftdi)

add_executable(find_devices find_devices.cpp)
target_link_libraries(find_devices usb)

add_executable(get_serial_number get_serial_number.cpp)
target_link_libraries(get_serial_number usb)

add_executable(flasher flasher.cpp)
target_link_libraries(flasher usb ftdi)

add_executable(reset_device reset_device.cpp)
target_link_libraries(reset_device usb)

add_executable(overwrite_serial_number overwrite_serial_number.cpp)
target_link_libraries(overwrite_serial_number usb ftdi)

add_executable(unflasher unflasher.cpp)
target_link_libraries(unflasher usb ftdi)

install(TARGETS ftdi_scan ftdi_roch ftdi_read_eeprom ftdi_write_eeprom find_devices
                get_serial_number flasher reset_device overwrite_serial_number unflasher
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-roch-ftdi (2.0.15-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-ftdi (2.0.14-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-ftdi (2.0.13-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-ftdi (1.0.13-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-ftdi (1.0.12-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 15 Feb 2017 16:00:00 -0000

ros-kinetic-roch-ftdi (1.0.11-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-kinetic-roch-ftdi (1.0.10-0xenial) xenial; urgency=high

  * Modify README.md

 -- Carl <wzhang@softrobtech.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-kinetic-roch-ftdi (1.0.9-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-kinetic-roch-ftdi (1.0.8-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-kinetic-roch-ftdi (1.0.6-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-kinetic-roch-ftdi (0.6.1-0xenial) xenial; urgency=high

  * remove kobuki_ros kobuki_nodelet libaries export in catkin_package closes #16 <https://github.com/yujinrobot/kobuki_core/issues/16>
  * Contributors: Jihoon Lee

 -- Carl <wzhang@softrobtech.com>  Tue, 26 May 2015 16:00:00 -0000

ros-kinetic-roch-ftdi (0.6.0-0xenial) xenial; urgency=high

  * Fix compilation.
    - fix the names of the pkg-config libraries of libusb and libftdi. I checked on Ubuntu and OS X.
    - ftdi-eeprom is not a library and has no pkg-config file.
  * Update the readme in kobuki_ftdi
  * Create README.md
  * kobuki_ftdi : Updated doxygen document.
  * Contributors: Jihoon Lee, Nikolaus Demmel, Younghun Ju

 -- Carl <wzhang@softrobtech.com>  Sun, 03 Aug 2014 16:00:00 -0000

ros-kinetic-roch-ftdi (0.5.3-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Thu, 05 Sep 2013 16:00:00 -0000

ros-kinetic-roch-ftdi (0.5.2-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Fri, 30 Aug 2013 16:00:00 -0000

ros-kinetic-roch-ftdi (0.5.1-0xenial) xenial; urgency=high

  * Updated license info.

 -- Carl <wzhang@softrobtech.com>  Thu, 29 Aug 2013 16:00:00 -0000

ros-kinetic-roch-ftdi (0.5.0-0xenial) xenial; urgency=high

  * Added extra url info on all packages.
  * Updated old rnd email address.
  * Fix URL to the previous changelog wiki.
  * Changelogs at package level.

 -- Carl <wzhang@softrobtech.com>  Wed, 28 Aug 2013 16:00:00 -0000

ros-kinetic-roch-ftdi (0.4.0-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Thu, 08 Aug 2013 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-roch-ftdi
Section: misc
Priority: extra
Maintainer: Carl <wzhang@softrobtech.com>
Build-Depends: debhelper (>= 9.0.0), ftdi-eeprom, libftdi-dev, libusb-dev, ros-kinetic-catkin, ros-kinetic-ecl-command-line
Homepage: http://ros.org/wiki/roch_ftdi
Standards-Version: 3.9.2

Package: ros-kinetic-roch-ftdi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ftdi-eeprom, libftdi-dev, libusb-dev, ros-kinetic-ecl-command-line
Description: Utilities for flashing and enabling roch's USB connection.
 This package contains tools for flashing the roch's FTDI chip (usually done at the factory). The special firmware for the FTDI chip (USB to serial converter) enables it to appear as /dev/roch on the user's PC.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-roch-ftdi//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
